export interface PluginItemsOptions {
    name?: string;
    sort?: number;
    useLoadMethod?: (any: any) => methodOptionsType;
}
export interface methodOptionsType {
    title: any;
    actionProps: any;
    icon?: React.ReactNode;
    children?: any;
}
export declare class PluginContextMenu {
    protected menuItems: Record<string, PluginItemsOptions>;
    constructor(_pluginMenuItems: Record<string, PluginItemsOptions>);
    get(): Record<string, PluginItemsOptions>;
    add(name: string, options: PluginItemsOptions): void;
}
